Subject: bug#8389: feature proposal: chng login vc-rcs-checkin

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 May 2022 06:07:21 +0200

Uwe Brauer <[email-masked]> writes:

> When collaborating with someone I find it useful to use vc
> (rcs) and change the login accordingly when I checkin a new
> version. The following code does it, but maybe there are
> more sophisticated versions possible.

[...]

> 			 (if vc-rcs-ask-for-login 
> 				 (if (y-or-n-p (format "Do you want to change the login  "))
> 					 (concat "-w" (read-string "Enter New login: "))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

This seems like quite niche functionality, so I don't think it would be
appropriate for Emacs, so keeping it as a local customisation is
probably best.

Furthermore, rcs doesn't seem to have a -w switch (at least on Debian)
these days:

$ rcs -w
rcs: unknown option: -w

So I'm closing this bug report as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no